package com.steerinfo.dil.service;

import com.steerinfo.dil.model.TmstrainPleaseApproveResult;
import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 * TmstrainPleaseApproveResult服务接口：
 * @author generator
 * @version 1.0-SNAPSHORT 2021-08-30 02:09
 * 类描述
 * 修订历史：
 * 日期：2021-08-30
 * 作者：generator
 * 参考：
 * 描述：TmstrainPleaseApproveResult服务接口
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
public interface ITmstrainPleaseApproveResultService{
    //查询所有的请车作业
    List<Map<String, Object>> getAllWagonPlease(Map<String, Object> mapValue);

    //获取最大ID主键值
    BigDecimal selectMaxId();

    //新增每日请车作业
    int insertSelective(TmstrainPleaseApproveResult tmstrainPleaseApproveResult);

    //修改 、删除、下发请车作业、    修改、新增批车作业
    int updateByPrimaryKeySelective(TmstrainPleaseApproveResult tmstrainPleaseApproveResult);

    //查询所有批车计划 状态码为 2
    List<Map<String, Object>> getAllApproveWagonPlease(Map<String, Object> mapValue);

    //通过Id查询批车作业
    List<Map<String, Object>> getApproveWagonPleaseById(Integer resultId);

    //获取收货单位
    List<Map<String, Object>> getShipper();

    //获取发运计划
    List<Map<String, Object>> getRailPlan();

    //通过Id查询请车作业
    List<Map<String, Object>> getWagonPleaseById(Integer resultId);

    //内转新增请车计划
    int addPleaseForNZ(Map<String,Object> map);

    //获取发站/到站下拉框
    List<Map<String,Object>> getArrivalSend();

    //查询请车计划
    List<Map<String,Object>> selectPleaseApprovePlanForConverted(Map<String,Object> map);

    //获取请车计划号下拉框
    List<Map<String,Object>> getPleasePlanNo();

    //通过id查询请车作业
    List<Map<String,Object>> selectPleasePlanByResultId(Integer resultId);

    //通过id查询批车作业
    List<Map<String,Object>> selectApproveBYResultId(Integer resultId);
}